Bug 1875193 - Normal user can not see menus added via ConsoleLinks
Summary: Normal user can not see menus added via ConsoleLinks
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 01:21 UTC by Yadan Pei
Modified: 2020-09-14 02:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Normal User View HelpMenu console links (138.54 KB, image/png)
2020-09-14 02:42 UTC, Yadan Pei
no flags Details
Normal User View UserMenu console links (29.91 KB, image/png)
2020-09-14 02:43 UTC, Yadan Pei
no flags Details
Normal User View ApplicationMenu console links (33.62 KB, image/png)
2020-09-14 02:43 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6592 None open Bug 1875193: Check CONSOLE_LINK flag instead of making links optional 2020-09-10 21:07:59 UTC

Description Yadan Pei 2020-09-03 01:21:52 UTC
Description of problem:
as title

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-09-01-070508

How reproducible:
Always

Steps to Reproduce:
1. cluster admin user create some consolelinks
$ cat testdata/customresource/console-link.yaml 
apiVersion: console.openshift.io/v1
kind: ConsoleLink
metadata:
  name: usermenu1
spec:
  href: https://www.youtube.com
  location: UserMenu
  text: usermenutest

---
apiVersion: console.openshift.io/v1
kind: ConsoleLink
metadata:
  name: helpmenu1
spec:
  href: https://baidu.com
  location: HelpMenu
  text: Baidu

---
apiVersion: console.openshift.io/v1
kind: ConsoleLink
metadata:
  name: applicationmenu1
spec:
  applicationMenu:
    imageURL: https://cdn.sstatic.net/Sites/stackoverflow/company/img/logos/so/so-logo.svg?v=a010291124bf
    section: stackoverflow.com
  href:  https://stackoverflow.com
  location: ApplicationMenu
  text: stackoverflow
$ oc create -f console-link.yaml
2. normal user logins to console and visit Help Menu and User Menu

Actual results:
2. The added consolelink doesn't appear in Help Menu or User Menu

Expected results:
2. Normal user should be able to view the ConsoleLinks added by cluster admin

Additional info:

Comment 3 Yadan Pei 2020-09-14 02:42:31 UTC
Created attachment 1714712 [details]
Normal User View HelpMenu console links

Comment 4 Yadan Pei 2020-09-14 02:43:17 UTC
Created attachment 1714713 [details]
Normal User View UserMenu console links

Comment 5 Yadan Pei 2020-09-14 02:43:48 UTC
Created attachment 1714714 [details]
Normal User View ApplicationMenu console links

Comment 6 Yadan Pei 2020-09-14 02:45:15 UTC
Create ConsoleLinks with different location, normal user can view these links now.


Verified on 4.6.0-0.nightly-2020-09-12-230035


Note You need to log in before you can comment on or make changes to this bug.